Name:          libnetfilter_log
Version:       1.0.2
Release:       1mamba
Summary:       Userspace library providing interface to packets logged by the kernel packet filter
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.iptables.org/projects/libnetfilter_log/index.html
Source:        http://www.iptables.org/projects/libnetfilter_log/files/libnetfilter_log-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libmnl-devel
BuildRequires: libnfnetlink-devel
## AUTOBUILDREQ-END

%description
Libnetfilter_log is a userspace library providing interface to packets that have been logged by the kernel packet filter.
It is is part of a system that deprecates the old syslog/dmesg based packet logging.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libnetfilter_log is a userspace library providing interface to packets that have been logged by the kernel packet filter.
It is is part of a system that deprecates the old syslog/dmesg based packet logging.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libnetfilter_log.so.*
%{_libdir}/libnetfilter_log_libipulog.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libnetfilter_log/
%{_libdir}/libnetfilter_log.la
%{_libdir}/libnetfilter_log.so
%{_libdir}/libnetfilter_log_libipulog.la
%{_libdir}/libnetfilter_log_libipulog.so
%{_libdir}/pkgconfig/libnetfilter_log.pc
%{_libdir}/pkgconfig/libnetfilter_log_libipulog.pc
%{_mandir}/man3/nflog_*.3*

%changelog
* Wed Nov 24 2021 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Wed Jan 04 2012 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Wed Oct 13 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.0.0-1mamba
- update to 1.0.0

* Wed Feb 17 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.0.16-1mamba
- update to 0.0.16

* Fri Dec 28 2007 Aleph0 <aleph0@openmamba.org> 0.0.13-1mamba
- package created by autospec
